#!/bin/sh
# $Id: which-lwlint.sh,v 1.1 2005/07/23 22:59:46 devel Exp $
# Author: Jim Brooks  http://www.jimbrooks.org
# If my light-weight lint (lwlint) tool is available.
# http://www.jimbrooks.org/tools/
#-------------------------------------------------------------------------------

if [ "`uname -s`" = "Linux" ] || [ "`uname -s`" = "FreeBSD" ]; then
    #if ( which lwlint 2>/dev/null >/dev/null ); then # which always succeeds on cygwin
    WHICH=`which lwlint 2>/dev/null`
    if [ "${WHICH}" != "" ]; then
        echo "lwlint -all"
    fi
fi
exit 0
